From 8be4f3024ade97ea2ecb7366b3fda5d297e34723 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Jul 21 2017 15:46:24 +0000
Subject: [PATCH 901/1001] Automatically reconnect the EventSource


---

diff --git a/hubs/static/client/app/core/Hubs.js b/hubs/static/client/app/core/Hubs.js
index fa53ab5..6f24426 100644
--- a/hubs/static/client/app/core/Hubs.js
+++ b/hubs/static/client/app/core/Hubs.js
@@ -1,4 +1,5 @@
 import HubConfig from './HubConfig.jsx';
 import Streams from './Streams.jsx';
+import ReconnectingEventSource from "reconnecting-eventsource";
 
-module.exports = {HubConfig, Streams}
+module.exports = {HubConfig, Streams, ReconnectingEventSource}
diff --git a/hubs/static/js/utils.js b/hubs/static/js/utils.js
index 2169c6b..cefe086 100644
--- a/hubs/static/js/utils.js
+++ b/hubs/static/js/utils.js
@@ -38,7 +38,7 @@ function setup_sse(url) {
       // Auto-update is disabled.
       return;
     }
-    var sseSource = new EventSource(url);
+    var sseSource = new Hubs.ReconnectingEventSource(url);
     sseSource.addEventListener("hubs:widget-updated", function(e) {
         var widget = $("#widget-" + e.data);
         if (widget.length === 0) { return; }

